Summary: iSCSI daemon and utility programs
Name: iscsi
Version: 3.6.2
Release: 4AX
Source0: http://prdownloads.sourceforge.net/linux-iscsi/linux-iscsi-%{version}.tgz
Source1: initiatorname.iscsi
Source2: fstab.iscsi
Patch0: linux-iscsi-3.6.2-virbuild.patch
Group: System Environment/Daemons
License: GPL
URL: http://linux-iscsi.sourceforge.net/
Buildroot: %{_tmppath}/%{name}-root
Requires: kernel >= 2.4.6-2
Prereq: /sbin/chkconfig
ExcludeArch: s390 s390x

%description
The iscsi package provides the server daemon for the iSCSI protocol,
as well as the utility programs used to manage it. iSCSI is a protocol
for distributed disk access using SCSI commands sent over Internet
Protocol networks.

%prep
%setup -q -n %{name}-%{version} -c
cd linux-iscsi-%{version}
%patch0 -p1

%build
cd linux-iscsi-%{version}
make \
 TOPDIR=/lib/modules/`cd /lib/modules; ls | sort -n -t. +3 | tail -n 1`/build \
 KERNEL_VPSE=`cd /lib/modules; ls | sort -n -t. +3 | tail -n 1` \
 daemons utils tools

%install
cd linux-iscsi-%{version}

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{/sbin,/dev/iscsi}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/{man1,man5,man8}
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
OBJDIR=`uname`-`uname -m`/obj
install -m 755 ${OBJDIR}/iscsid ${OBJDIR}/utils/iscsi-device ${OBJDIR}/utils/iscsi-iname ${OBJDIR}/utils/iscsi-ls ${OBJDIR}/utils/iscsigt $RPM_BUILD_ROOT/sbin
install -m 744 misc/scripts/iscsi-mountall $RPM_BUILD_ROOT/sbin
install -m 744 misc/scripts/iscsi-umountall $RPM_BUILD_ROOT/sbin
install -m 644 man/iscsid.8 $RPM_BUILD_ROOT%{_mandir}/man8
install -m 644 man/iscsi.bindings.5 $RPM_BUILD_ROOT%{_mandir}/man5
install -m 644 man/iscsi.conf.5 $RPM_BUILD_ROOT%{_mandir}/man5
install -m 644 man/iscsi-ls.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 744 misc/scripts/rc.iscsi $RPM_BUILD_ROOT/etc/rc.d/init.d/iscsi
install -m 600 misc/iscsi.conf $RPM_BUILD_ROOT/etc
install -m 600 %{SOURCE1} $RPM_BUILD_ROOT/etc
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
if [ "$1" = "1" ]; then
   /sbin/chkconfig --add iscsi
   /sbin/chkconfig iscsi off
fi

if [ -f /var/run/iscsid.pid ]; then
   /sbin/service iscsi restart >/dev/null 2>&1
fi



%preun
if [ "$1" = "0" ]; then
    service iscsi stop >/dev/null 2>&1
    /sbin/chkconfig --del iscsi
    # clean out any link files so that /dev/iscsi can be removed properly
    rm -rf -- /dev/iscsi/*
fi


%files
%defattr(-,root,root)
%config /etc/rc.d/init.d/iscsi
%attr(600,root,root) %config(noreplace) /etc/initiatorname.iscsi
%attr(600,root,root) %config(noreplace) /etc/iscsi.conf
%attr(644,root,root) %config(noreplace) /etc/fstab.iscsi
%attr(755,root,root) /dev/iscsi
%doc linux-iscsi-%{version}/COPYING
%doc linux-iscsi-%{version}/README
/sbin/*
%{_mandir}/*/*

%changelog
* Mon Dec 26 2005 Hiroshi HARA <hhara@miraclelinux.com> 3.6.2-4AX
- disable service by default
- restart service when upgrade(if service is running)

* Thu Aug 11 2005 Seiichi Ikarashi <ikarashi@miraclelinux.com> 3.6.2-3AX
- address the virbuild environment

* Tue Aug  9 2005 Seiichi Ikarashi <ikarashi@miraclelinux.com> 3.6.2-2AX
- update /etc/initiatorname.iscsi to generate an unique InitiatorName

* Tue Oct 26 2004 Seiichi Ikarashi <ikarashi@miraclelinux.com> 3.6.2-1AX
- initial packing for Asianux

* Thu Jun 05 2003 Elliot Lee <sopwith@redhat.com> 3.1.0.3-4
- rebuilt

* Mon Feb 03 2003 Michael K. Johnson <johnsonm@redhat.com> 3.1.0.3-3
- rebuild, 3.1.0.3-3

* Mon Nov 11 2002 Michael K. Johnson <johnsonm@redhat.com>
- Fixed typo in initscript to allow to function

* Thu Oct 17 2002 Michael K. Johnson <johnsonm@redhat.com>
- update to 3.1.0.3 for draft 16 compliance
- /etc/initiatorname.iscsi should be mode 600
- C++ all gone, no need for libstdc++ static link

* Wed Aug 14 2002 Bob Matthews <bmatthews@redhat.com>
- fix perms on /etc/iscsi.conf

* Mon Jul 15 2002 Michael K. Johnson <johnsonm@redhat.com>
- add status function

* Thu May 02 2002 Michael K. Johnson <johnsonm@redhat.com>
- hack to link statically against libstdc++ so /sbin does not depend on /usr

* Wed Apr 10 2002 Michael K. Johnson <johnsonm@redhat.com>
- update to 2.1.0.20

* Fri Oct 26 2001 Than Ngo <than@redhat.com> 2.0.1.8-3
- cleanup startup script
- add excludearch s390 s390x

* Tue Aug 28 2001 Michael K. Johnson <johnsonm@redhat.com>
- clean up shutdown (#52440)

* Mon Aug 13 2001 Michael K. Johnson <johnsonm@redhat.com>
- update to 2.0.1.8 for draft 6 compliance

* Mon Aug 13 2001 Bob Matthews <bmatthews@redhat.com>
- fix typo in initscripts (#51585)

* Tue Jul 31 2001 Bill Nottingham <notting@redhat.com>
- fix up initscript output (#50502)

* Wed Jul 25 2001 Jeremy Katz <katzj@redhat.com>
- source /etc/init.d/functions in the initscript

* Tue Jul 24 2001 Michael K. Johnson <johnsonm@redhat.com>
- initial packaging
